function rate = MCR(S_true, S, m)

[N,~] = size(S_true);
n = N/2;

rate = 1;
for k = 1:m
    Qk = [cos(2*pi*k/m), -sin(2*pi*k/m); sin(2*pi*k/m), cos(2*pi*k/m) ];
    rate = min(norm10(S - S_true*Qk)/n, rate);
    if (rate == 0)
        break;
    end
end